SLD load problem

2018-11-24 06:03 PM - Eduardo Martín

Status: Feedback

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: win10 x64 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 28439

Description

I use a SLD file to define styles over a polygon layer, but the results are different depending on the QGIS version: 2.18.25 and 3.4.1 don't

work (missing layer cause of styling), 2.18.4 and 3.2.3 work.

Even, I tried to create a SLD on 2.18.25 and load over the same layer, the styling doesn't work.

I attached gif example of a success and a failed cases.

Thanks for your time and help developping this great software!

Regards :)

History

#1 - 2018-11-25 07:44 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Affected QGIS version changed from 2.18.25 to 3.4.1

- Priority changed from Normal to High

#2 - 2019-05-23 01:59 PM - Alexander Bruy

- Status changed from Open to Feedback

Please provide test data and steps to reproduce

Files

SLD_2_18_25.zip 4.77 MB 2018-11-24 Eduardo Martín

SLD_3.2.3.gif 4.94 MB 2018-11-24 Eduardo Martín
